org.apache.catalina.valves

## Class RemoteAddrValve

- java.lang.Object
- - org.apache.catalina.util.LifecycleBase
  - - org.apache.catalina.util.LifecycleMBeanBase
    - - org.apache.catalina.valves.ValveBase
      - - org.apache.catalina.valves.RequestFilterValve
        - - org.apache.catalina.valves.RemoteAddrValve

All Implemented Interfaces:
  MBeanRegistration, Contained, Lifecycle, Valve

    public final class RemoteAddrValve
    extends RequestFilterValve

Concrete implementation of `RequestFilterValve` that filters based on the string representation of the remote client's IP address.

Author:
  Craig R. McClanahan

### Field Summary

### Fields inherited from class org.apache.catalina.valves.RequestFilterValve

`allow, allowValid, allowValue, deny, denyStatus, denyValid, denyValue`

### Fields inherited from class org.apache.catalina.valves.ValveBase

`asyncSupported, container, containerLog, next, sm`

### Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase

`mserver`

### Fields inherited from interface org.apache.catalina.Lifecycle

`AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

### Constructor Summary

Constructors
Constructor and Description
`RemoteAddrValve()`

### Method Summary

Methods
`String` `getInfo()` Return descriptive information about this Valve implementation.
`void` `invoke(Request request, Response response)` Extract the desired request property, and pass it (along with the specified request and response objects) to the protected `process()` method to perform the actual filtering.

### Methods inherited from class org.apache.catalina.valves.RequestFilterValve

`denyRequest, getAllow, getDeny, getDenyStatus, initInternal, isAllowed, isAllowValid, isDenyValid, process, setAllow, setDeny, setDenyStatus, startInternal`

### Methods inherited from class org.apache.catalina.valves.ValveBase

`backgroundProcess, event, getContainer, getDomainInternal, getNext, getObjectNameKeyProperties, isAsyncSupported, setAsyncSupported, setContainer, setNext, stopInternal, toString`

### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

`destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister`

### Methods inherited from class org.apache.catalina.util.LifecycleBase

`addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, init, removeLifecycleListener, setState, setState, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteAddrValve

    public RemoteAddrValve()

### Method Detail

#### getInfo

    public String getInfo()

Return descriptive information about this Valve implementation.

Specified by:
  `getInfo` in interface `Valve`
Overrides:
  `getInfo` in class `RequestFilterValve`

#### invoke

    public void invoke(Request request,
              Response response)
                throws IOException,
                       ServletException

Extract the desired request property, and pass it (along with the specified request and response objects) to the protected `process()` method to perform the actual filtering. This method must be implemented by a concrete subclass.

Specified by:
  `invoke` in interface `Valve`
Specified by:
  `invoke` in class `RequestFilterValve`
Parameters:
  `request` - The servlet request to be processed
  `response` - The servlet response to be created
Throws:
  `IOException` - if an input/output error occurs
  `ServletException` - if a servlet error occurs